package ru.dbotthepony.mc.otm.datagen.recipes

import net.minecraft.util.valueproviders.ConstantFloat
import net.minecraft.world.item.Items
import net.minecraft.world.item.crafting.Ingredient
import ru.dbotthepony.mc.otm.registry.MItemTags

fun addPlatePressRecipes(provider: MatteryRecipeProvider) {
	val baselineMetals = arrayOf("iron" to 0.2f, "silver" to 0.3f, "bronze" to 0.3f, "lead" to 0.3f, "constantan" to 0.4f, "brass" to 0.3f)
	val softMetals = arrayOf("gold" to 0.4f, "aluminum" to 0.3f, "aluminium" to 0.3f, "copper" to 0.2f, "electrum" to 0.4f, "zinc" to 0.3f)
	val hardMetals = arrayOf("tritanium" to 0.5f, "steel" to 0.5f, "tungsten" to 0.55f, "uranium" to 0.5f)

	for ((thing, exp) in baselineMetals) {
		provider.plate(thing, experience = ConstantFloat.of(exp), workTicks = 160)
	}

	for ((thing, exp) in softMetals) {
		provider.plate(thing, workTicks = 120, experience = ConstantFloat.of(exp))
	}

	for ((thing, exp) in hardMetals) {
		provider.plate(thing, workTicks = 240, experience = ConstantFloat.of(exp))
	}

	provider.plate("carbon", result = Ingredient.of(MItemTags.CARBON_PLATES), ingredient = Ingredient.of(Items.COAL), workTicks = 140, experience = ConstantFloat.of(0.3f))
}
